> ## Documentation Index
> Fetch the complete documentation index at: https://memos-api.openmem.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete memories for user



## OpenAPI

````yaml mintdocs/openapi.json post /product/delete_memory
openapi: 3.1.0
info:
  title: MemOS API
  version: 1.0.0
servers: []
security: []
paths:
  /product/delete_memory:
    post:
      tags:
        - Server API
      summary: Delete memories for user
      operationId: delete_memories_product_delete_memory_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteMemoryRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteMemoryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeleteMemoryRequest:
      properties:
        writable_cube_ids:
          items:
            type: string
          type: array
          title: Writable Cube Ids
          description: Writable cube IDs
        memory_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Memory Ids
          description: Memory IDs
        file_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: File Ids
          description: File IDs
        filter:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Filter
          description: Filter for the memory
      type: object
      required:
        - writable_cube_ids
      title: DeleteMemoryRequest
      description: Request model for deleting memories.
    DeleteMemoryResponse:
      properties:
        code:
          type: integer
          title: Code
          description: Response status code
          default: 200
        message:
          type: string
          title: Message
          description: Response message
        data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Data
          description: Response data
      type: object
      required:
        - message
      title: DeleteMemoryResponse
      description: Response model for deleting memories.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````